POST
/api/v1/portfolioX-API-Key or JWTBatch portfolio lookup
Submit up to 500 EPA Registry IDs in a single call and receive a score + risk-tier roll-up for each. Tier limits: Enterprise / Consulting 500, Platform 60, Starter 10, Free disabled (403). IDs not present in our index are returned in the `not_found` array.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| registry_idsrequired | body | array | Array of EPA Registry ID strings. |
Request
curl -X POST https://api.sigindex.com/api/v1/portfolio \
-H "X-API-Key: $SIGINDEX_KEY" \
-H "Content-Type: application/json" \
-d '{"registry_ids":["110043804185","110071881104"]}'Example response
{
"data": {
"results": [
{
"registry_id": "110043804185",
"fac_name": "EXXONMOBIL BATON ROUGE REFINERY",
"overall_score": 38,
"active_enforcement": true
},
{
"registry_id": "110071881104",
"fac_name": "DOW INFRACO, LLC - DOW PLAQUEMINE SITE",
"overall_score": 71,
"active_enforcement": false
}
],
"total": 2,
"not_found": []
},
"meta": {
"request_id": "req_8aZpmK4qX0nT",
"timestamp": "2026-05-20T14:22:08Z",
"response_time_ms": 12
}
}